# Module serde_json::de

source · [−]
Expand description

Deserialize JSON data to a Rust data structure.

## Structs

Deserializer

A structure that deserializes JSON into Rust values.

IoRead

JSON input source that reads from a std::io input stream.

SliceRead

JSON input source that reads from a slice of bytes.

StrRead

JSON input source that reads from a UTF-8 string.

StreamDeserializer

Iterator that deserializes a stream into multiple JSON values.

## Traits

Read

Trait used by the deserializer for iterating over input. This is manually “specialized” for iterating over &u8. Once feature(specialization) is stable we can use actual specialization.

## Functions

from_reader

Deserialize an instance of type `T` from an IO stream of JSON.

from_slice

Deserialize an instance of type `T` from bytes of JSON text.

from_str

Deserialize an instance of type `T` from a string of JSON text.